import { SimpleLocalClient } from '../../core/index.js';
import type { IBtSmarthubConfig } from './bt_smarthub.types.js';
import { btSmarthubProfile } from './bt_smarthub.types.js';

export class BtSmarthubClient extends SimpleLocalClient<IBtSmarthubConfig> {
  constructor(configArg: IBtSmarthubConfig) {
    super(btSmarthubProfile, configArg);
  }
}
